package api.common.pojo.po.project;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 运行项目数据
 */
@ToString
@Getter
@Setter
public class SimulationManualProjectPo extends BasePo {

    //项目日期
    private Integer projectDate;

    //项目序号
    private Integer projectNum;

    //项目id
    private String projectId;

    //项目名称
    private String projectName;

    //项目描述
    private String projectDescribe;

    //算法
    private String algorithm;

    //车辆 id
    private String vehicle;

    //场景（包）
    private String scene;

    //运行周期
    private String operationCycle;

    //并行度
    private String parallelism;

    //规则查看
    private String ruleView;

    //是否选择gpu(0:是，1：否)
    private String isChoiceGpu;

    //自动运行次数
    private Long automaticRunTimes;

    //最近运行时间
    private Date lastRunTime;

    //自动运行状态(0：开启，1：关闭)
    private String automaticRunState;

    //当前运行状态
    private String nowRunState;

    //评测等级
    private String evaluationLevel;

    //开始时间
    private Date startTime;

    //完成时间
    private Date finishTime;

    //最大仿真时间
    private Long maxSimulationTime;

    //算法得分
    private Double algorithmScore;

    //算法类型
    private String algorithmType;
    private String details;





}
