package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * 工作报告
 */
@Getter
@Setter
public class ProjectReportVo {

    //项目名称
    private String projectName;

    //项目id
    private String projectId;

    //算法名称
    private String algorithmName;

    //算法得分
    private Double algorithmScore;

    //算法描述
    private String algorithmDescribe;

    //评测等级
    private String evaluationLevel;

    //得分率
    private Double scoreRatio;

    //场景名称(二级，多个指标用顿号隔开)
//    private String sceneNames;

    //算法简评
    private String algorithmEvaluation;

    //算法测试得分
    private List<AlgorithmScoreVo> algorithmScoreList;

    private String evaluationGrade;

    //算法测试评分细则、详细得分情况
    private List<ScenePackageSubListVO> sceneScoreList;

    private List<Map> subListScoreLiTitle;

    private List<SubScListVo> subListScoreLi;

    private List<Map> sceneScoreLiTitle;

    private List<SceneScListVo> sceneScoreLi;

    //场景包名
    private String packageName;
    private Integer maxIndex;


}


