package com.css.simulation.resource.algorithm.service;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;

import java.io.IOException;
import java.util.Map;


public interface AlgorithmService {

    ResponseBodyVO addOrUpdate(AlgorithmParameter param) throws IOException;

    ResponseBodyVO selectAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO selectAlgoPlatformList(AlgorithmParameter param);

    ResponseBodyVO<String> deleteById(AlgorithmParameter param);

    ResponseBodyVO<Map<String,String>> deleteCheck(AlgorithmParameter param);

    ResponseBodyVO selectDetailsById(String algorithmId);

    ResponseBodyVO selectSharedAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO shareAlgorithm(AlgorithmParameter param);

    ResponseBodyVO<String> testConnection(AlgorithmParameter param);

    String getGitVersion(String algorithmId);

    Map<String,Integer> selectDetailsBySy();
}
