package com.css.simulation.resource.video.configuration.init;

import api.common.util.LinuxUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class CustomApplicationRunner implements ApplicationRunner {
    @Value("${scheduler.Xvfb-command}")
    private String XvfbCommand;


    @Override
    public void run(ApplicationArguments args) {
        log.info("启动 Xvfb。");
        LinuxUtil.execute(XvfbCommand);
    }
}